<?php $__env->startSection('head'); ?>

    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <?php echo HTML::style('ckeditor/plugins/codesnippet/lib/highlight/styles/monokai.css'); ?>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('main'); ?>
    <div class="row">
        <div class="box">
            <div class="col-lg-12">
                <hr>
                <h2 class="text-center"><?php echo e($post->title); ?>

                <br>
                <small><?php echo e($post->user->username); ?> <?php echo e(trans('front/blog.on')); ?> <?php echo $post->created_at . ($post->created_at != $post->updated_at ? trans('front/blog.updated') . $post->updated_at : ''); ?></small>
                </h2>
                <hr>
                <?php echo $post->summary; ?><br>
                <?php echo $post->content; ?>

                <hr>
                <?php if($post->tags->count()): ?>
                    <div class="text-center">
                        <small><?php echo e(trans('front/blog.tags')); ?></small> 
                        <?php $__currentLoopData = $post->tags; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $tag): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                            <?php echo link_to('blog/tag?tag=' . $tag->id, $tag->tag, ['class' => 'btn btn-default btn-xs']); ?>

                        <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                    </div>
                <?php endif; ?>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="box">
            <div class="col-lg-12">
                <div class="col-lg-12">
                    <hr>
                    <h3 class="text-center"><?php echo e(trans('front/blog.comments')); ?></h3>
                    <hr>

                    <?php if($comments->count()): ?>
                        <?php $__currentLoopData = $comments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $comment): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                            <div class="commentitem">
                                <h3>
                                    <small><?php echo e($comment->user->username . ' ' . trans('front/blog.on') . ' ' . $comment->created_at); ?></small>
                                    <?php if($user && $user->username == $comment->user->username): ?> 
                                        <a id="deletecomment<?php echo $comment->id; ?>" href="#" class="deletecomment"><span class="fa fa-fw fa-trash pull-right" data-toggle="tooltip" data-placement="left" title="<?php echo e(trans('front/blog.delete')); ?>"></span></a>
                                        <a id="comment<?php echo $comment->id; ?>" href="#" class="editcomment"><span class="fa fa-fw fa-pencil pull-right" data-toggle="tooltip" data-placement="left" title="<?php echo e(trans('front/blog.edit')); ?>"></span></a>
                                    <?php endif; ?>
                                </h3>
                                <div id="content<?php echo $comment->id; ?>"><?php echo $comment->content; ?></div>
                                <hr>
                            </div>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                    <?php endif; ?>  

                    <div class="row" id="formcreate"> 
                        <?php if(session()->has('warning')): ?>
                            <?php echo $__env->make('partials/error', ['type' => 'warning', 'message' => session('warning')], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
                        <?php endif; ?>  
                        <?php if(session('statut') != 'visitor'): ?>
                            <?php echo Form::open(['url' => 'comment']); ?>    
                                <?php echo Form::hidden('post_id', $post->id); ?>

                                <?php echo Form::controlBootstrap('textarea', 12, 'comments', $errors, trans('front/blog.comment')); ?>

                                <?php echo Form::submitBootstrap(trans('front/form.send'), 'col-lg-12'); ?>

                            <?php echo Form::close(); ?>

                        <?php else: ?>
                            <div class="text-center"><i class="text-center"><?php echo e(trans('front/blog.info-comment')); ?></i></div>
                        <?php endif; ?>
                    </div>

                </div>
            </div>
        </div>
    </div>

</div>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('scripts'); ?>

    <?php echo HTML::script('ckeditor/plugins/codesnippet/lib/highlight/highlight.pack.js'); ?>


    <?php if(session('statut') != 'visitor'): ?>
        <?php echo HTML::script('ckeditor/ckeditor.js'); ?>

        <?php echo HTML::script('js/sweetalert.min.js'); ?>

    <?php endif; ?>

    <script>      

        <?php if(session('statut') != 'visitor'): ?>
            
            $(function() {

                function ckeditorReplace(element) {
                    CKEDITOR.replace(element, {
                        language: '<?php echo e(config('app.locale')); ?>',
                        height: 200,
                        toolbarGroups: [
                            { name: 'basicstyles', groups: [ 'basicstyles'] }, 
                            { name: 'links' },
                            { name: 'insert' }
                        ],
                        removeButtons: 'Table,SpecialChar,HorizontalRule,Anchor'
                    });                
                }

                ckeditorReplace('comments');

                function buttons(i) {
                    return "<input id='val" + i +"' class='btn btn-default' type='submit' value='<?php echo e(trans('front/blog.valid')); ?>'><input id='btn" + i + "' class='btn btn-default btnannuler' type='button' value='<?php echo e(trans('front/blog.undo')); ?>'></div>";
                }

                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                $('a.editcomment span').tooltip();
                $('a.deletecomment span').tooltip();

                // Set comment edition
                $('a.editcomment').click(function(e) {   
                    e.preventDefault();
                    $(this).hide();
                    var i = $(this).attr('id').substring(7);
                    var existing = $('#content' + i).html();
                    var url = $('#formcreate').find('form').attr('action');
                    jQuery.data(document.body, 'comment' + i, existing);
                    var html = "<div class='row'><form id='form" + i + "' method='POST' action='" + url + '/' + i + "' accept-charset='UTF-8' class='formajax'><div class='form-group col-lg-12 '><label for='comments' class='control-label'><?php echo e(trans('front/blog.change')); ?></label><textarea id='cont" + i +"' class='form-control' name='comments" + i + "' cols='50' rows='10' id='comments" + i + "'>" + existing + "</textarea><small class='help-block'></small></div><div class='form-group col-lg-12'>" + buttons(i) + "</div>";
                    $('#content' + i).html(html);
                    ckeditorReplace('comments' + i);
                });

                // Escape edition
                $(document).on('click', '.btnannuler', function() {    
                    var i = $(this).attr('id').substring(3);
                    $('#comment' + i).show();
                    $('#content' + i).html(jQuery.data(document.body, 'comment' + i));
                });

                // Validation comment
                $(document).on('submit', '.formajax', function(e) {  
                    e.preventDefault();
                    var i = $(this).attr('id').substring(4);
                    $('#val' + i).parent().html('<i class="fa fa-refresh fa-spin fa-2x"></i>').addClass('text-center');
                    $.ajax({
                        method: 'put',
                        url: $(this).attr('action'),
                        data: $(this).serialize()
                    })
                    .done(function(data) {
                        $('#comment' + data.id).show();
                        $('#content' + data.id).html(data.content); 
                    })
                    .fail(function(data) {
                        var errors = data.responseJSON;
                        $.each(errors, function(index, value) {
                            $('textarea[name="' + index + '"]' + ' ~ small').text(value);
                            $('textarea[name="' + index + '"]').parent().addClass('has-error');
                            $('.fa-spin').parent().html(buttons(index.slice(-1))).removeClass('text-center');
                        });
                    });
                });

                // Delete comment
                $('a.deletecomment').click(function(e) {   
                    e.preventDefault(); 
                    var that = $(this);
                    swal({
                        title: "<?php echo trans('front/blog.confirm'); ?>",
                        type: "warning",
                        showCancelButton: true,
                        confirmButtonColor: "#DD6B55",
                        confirmButtonText: "<?php echo trans('front/site.yes'); ?>",
                        cancelButtonText: "<?php echo trans('front/site.no'); ?>"
                    }, function(isConfirm) {
                        if (isConfirm) {
                            var i = that.attr('id').substring(13);
                            that.replaceWith('<i class="fa fa-refresh fa-spin pull-right"></i>');
                            $.ajax({
                                method: 'delete',
                                url: '<?php echo url('comment'); ?>' + '/' + i
                            })
                            .done(function(data) {
                                $('#comment' + data.id).parents('.commentitem').remove();
                            })
                            .fail(function() {
                                alert('<?php echo trans('front/blog.fail-delete'); ?>');
                            }); 
                        }                
                    });
                });

            });

        <?php endif; ?>

        hljs.initHighlightingOnLoad();

    </script>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('front.template', array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>