<!DOCTYPE html>
<html lang="<?php echo e(config('app.locale')); ?>">

    <head>

        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title><?php echo e(trans('front/site.title')); ?></title>
        <meta name="description" content="">    
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
        <link rel="apple-touch-icon" href="apple-touch-icon.png">

        <?php echo $__env->yieldContent('head'); ?>

        <?php echo HTML::style('css/front.css'); ?>


    </head>

  <body>

    <header>

        <div class="brand"><?php echo e(trans('front/site.title')); ?></div>
        <div class="address-bar"><?php echo e(trans('front/site.sub-title')); ?></div>
        <div id="flags" class="text-center"></div>
        <nav class="navbar navbar-default">
            <div class="container">
                <div class="navbar-header">
                    <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target=".navbar-collapse">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>
                    <a class="navbar-brand" href="index.html"><?php echo e(trans('front/site.title')); ?></a>
                </div>
                <div class="collapse navbar-collapse">
                    <ul class="nav navbar-nav">
                        <li <?php echo classActivePath('/'); ?>>
                            <?php echo link_to('/', trans('front/site.home')); ?>

                        </li>
                        <?php if(session('statut') == 'visitor' || session('statut') == 'user'): ?>
                            <li <?php echo classActivePath('contact/create'); ?>>
                                <?php echo link_to('contact/create', trans('front/site.contact')); ?>

                            </li>
                        <?php endif; ?>
                        <li <?php echo classActiveSegment(1, ['articles', 'blog']); ?>>
                            <?php echo link_to('articles', trans('front/site.blog')); ?>

                        </li>
                        <?php if(Request::is('auth/register')): ?>
                            <li class="active">
                                <?php echo link_to('auth/register', trans('front/site.register')); ?>

                            </li>
                        <?php elseif(Request::is('password/email')): ?>
                            <li class="active">
                                <?php echo link_to('password/email', trans('front/site.forget-password')); ?>

                            </li>
                        <?php else: ?>
                            <?php if(session('statut') == 'visitor'): ?>
                                <li <?php echo classActivePath('login'); ?>>
                                    <?php echo link_to('login', trans('front/site.connection')); ?>

                                </li>
                            <?php else: ?>
                                <?php if(session('statut') == 'admin'): ?>
                                    <li>
                                        <?php echo link_to_route('admin', trans('front/site.administration')); ?>

                                    </li>
                                <?php elseif(session('statut') == 'redac'): ?> 
                                    <li>
                                        <?php echo link_to('blog', trans('front/site.redaction')); ?>

                                    </li>
                                <?php endif; ?>
                                <li>
                                    <?php echo link_to('/logout', trans('front/site.logout'), ['id' => "logout"]); ?>

                                    <?php echo Form::open(['url' => '/logout', 'id' => 'logout-form']); ?><?php echo Form::close(); ?>

                                </li>
                            <?php endif; ?>
                        <?php endif; ?>
                        <li class="dropdown">
                            <a data-toggle="dropdown" class="dropdown-toggle" href="#"><img width="32" height="32" alt="<?php echo e(session('locale')); ?>"  src="<?php echo asset('img/' . session('locale') . '-flag.png'); ?>" />&nbsp; <b class="caret"></b></a>
                            <ul class="dropdown-menu">
                            <?php $__currentLoopData = config('app.languages'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getFirstLoop(); ?>
                                <?php if($user !== config('app.locale')): ?>
                                    <li><a href="<?php echo url('language'); ?>/<?php echo e($user); ?>"><img width="32" height="32" alt="<?php echo e($user); ?>" src="<?php echo asset('img/' . $user . '-flag.png'); ?>"></a></li>
                                <?php endif; ?>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getFirstLoop(); ?>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>
        <?php echo $__env->yieldContent('header'); ?>    
    </header>

    <main class="container">
        <?php if(session()->has('ok')): ?>
            <?php echo $__env->make('partials/error', ['type' => 'success', 'message' => session('ok')], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <?php endif; ?>  
        <?php if(isset($info)): ?>
            <?php echo $__env->make('partials/error', ['type' => 'info', 'message' => $info], array_except(get_defined_vars(), array('__data', '__path')))->render(); ?>
        <?php endif; ?>
        <?php echo $__env->yieldContent('main'); ?>
    </main>

    <footer>
        <?php echo $__env->yieldContent('footer'); ?>
        <p class="text-center"><small>Copyright &copy; Momo</small></p>
    </footer>
        
    <?php echo HTML::script('https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js'); ?>

    <?php echo HTML::script('https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js'); ?>


    <script>
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
        $(function() {
            $('#logout').click(function(e) {
                e.preventDefault();
                $('#logout-form').submit();
            })
        });
    </script>

    <?php echo $__env->yieldContent('scripts'); ?>

  </body>
</html>